Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.monitors
Class ComponentMonitorHelper

    java.lang.Object
      org.picocontainer.monitors.ComponentMonitorHelper

    public final class ComponentMonitorHelper

extends Object

An abstract `ComponentMonitor` which supports all the message formats.

Author:
  Mauro Talevi

Field Summary
`static String` | `INSTANTIATED`
`static String` | `INSTANTIATING`
`static String` | `INSTANTIATION_FAILED`
`static String` | `INVOCATION_FAILED`
`static String` | `INVOKED`
`static String` | `INVOKING`
`static String` | `LIFECYCLE_INVOCATION_FAILED`
`static String` | `NO_COMPONENT`

Constructor Summary
`ComponentMonitorHelper()`

Method Summary
`static String` | `ctorToString(Constructor constructor)`
`static String` | `format(String template, Object... arguments)`
`static String` | `memberToString(Member m)`
`static String` | `methodToString(Method method)`
`static String` | `parmsToString(Object[] injected)`
`static String` | `toString(Field field)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANTIATING

    public static final String INSTANTIATING

See Also:
  Constant Field Values

### INSTANTIATED

    public static final String INSTANTIATED

See Also:
  Constant Field Values

### INSTANTIATION_FAILED

    public static final String INSTANTIATION_FAILED

See Also:
  Constant Field Values

### INVOKING

    public static final String INVOKING

See Also:
  Constant Field Values

### INVOKED

    public static final String INVOKED

See Also:
  Constant Field Values

### INVOCATION_FAILED

    public static final String INVOCATION_FAILED

See Also:
  Constant Field Values

### LIFECYCLE_INVOCATION_FAILED

    public static final String LIFECYCLE_INVOCATION_FAILED

See Also:
  Constant Field Values

### NO_COMPONENT

    public static final String NO_COMPONENT

See Also:
  Constant Field Values

Constructor Detail

### ComponentMonitorHelper

    public ComponentMonitorHelper()

Method Detail

### format

    public static String format(String template,
                                Object... arguments)

### parmsToString

    public static String parmsToString(Object[] injected)

### ctorToString

    public static String ctorToString(Constructor constructor)

### methodToString

    public static String methodToString(Method method)

### memberToString

    public static String memberToString(Member m)

### toString

    public static String toString(Field field)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.